
%define libskgbankgui_major 2
%define libskgbankgui %mklibname skgbankgui %{libskgbankgui_major}
%define libskgbankmodeler_major 2
%define libskgbankmodeler %mklibname skgbankmodeler %{libskgbankmodeler_major}
%define libskgbasegui_major 2
%define libskgbasegui %mklibname skgbasegui %{libskgbasegui_major}
%define libskgbasemodeler_major 2
%define libskgbasemodeler %mklibname skgbasemodeler %{libskgbasemodeler_major}

Name: skrooge
Version: 2.32.0
Release: %mkrel 1
Summary: Personal Finance Management Tool
License: GPLv3+
Group: Graphical desktop/KDE5
URL: http://skrooge.org
BuildRequires: libofx-devel
BuildRequires: desktop-file-utils

BuildRequires: lib64qca2-qt5-devel
BuildRequires: lib64sqlcipher-devel
BuildRequires: lib64grantlee-devel

BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5xml-devel

BuildRequires: qtsql5-private-devel
BuildRequires: qtcore5-private-devel

BuildRequires: lib64kf5activities-devel
BuildRequires: karchive-devel
BuildRequires: kconfig-devel
BuildRequires: kcoreaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kitemviews-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kcompletion-devel
BuildRequires: kdoctools-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kdesignerplugin-devel
BuildRequires: kiconthemes-devel
BuildRequires: kio-devel
BuildRequires: knewstuff-devel
BuildRequires: kparts-devel
BuildRequires: kwallet-devel
BuildRequires: kxmlgui-devel
BuildRequires: krunner-devel
BuildRequires: kdelibs4support-devel
BuildRequires: knotifyconfig-devel
BuildRequires: lib64qt5webengine-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Requires: sqlcipher
Requires: qca2-qt5
Requires: lib64grantlee5
Requires: qtwebengine5

%description
Skrooge is a personal finance management tool for KDE, with the aim of
being highly intuitive, while providing powerful functions such as
graphics, persistent Undo/Redo, infinite category levels, and much more...

%files
%doc
%{_kf5_bindir}
%{_kf5_datadir}
%{_kf5_libdir}

%prep

%build
pushd %_sourcedir
wget -nc http://download.kde.org/stable/skrooge/%{name}-%{version}.tar.xz

tar -xJf skrooge-%{version}.tar.xz -C %_builddir

popd

pushd %_builddir/skrooge-%{version}

%autopatch -p1

%cmake_kf5
%make_build

popd

%install
pushd %_builddir/skrooge-%{version}
%make_install -C build

popd

#menu
sd "Qt;KDE;Office;Finance;" "Qt;KDE;Office;" %{buildroot}/%{_kf5_datadir}/applications/org.kde.skrooge.desktop


%changelog
* Thu Apr 11 2024 tex - 2.32.0-1pclos2024
- new version

* Sun Oct 08 2023 tex - 2.31.0-1pclos2023
- new version

* Sun Sep 03 2023 tex - 2.30.0-3pclos2023
- rebuild against updates

* Wed Jul 12 2023 tex - 2.30.0-2pclos2023
- add dep qtwebengine5

* Sun Jul 02 2023 tex - 2.30.0-1pclos2023
- new version

* Wed Feb 15 2023 tex - 2.29.0-1pclos2023
- new version

* Mon Sep 19 2022 tex - 2.28.0-2pclos2022
- rebuild against updates

* Sun Jul 31 2022 tex - 2.28.0-1pclos2022
- new version

* Sat Jan 29 2022 tex - 2.27.0-1pclos2022
- new version

* Sat Jul 31 2021 tex - 2.26.1-1pclos2021
- new version

* Sun Jun 13 2021 tex - 2.25.0-2pclos2021
- rebuild against updates

* Fri Apr 23 2021 tex - 2.25.0-1pclos2021
- new version

* Mon Feb 08 2021 tex - 2.24.6-2pclos2021
- fix crash patch 

* Thu Dec 10 2020 tex - 2.24.6-1pclos2020
- new version

* Sat Nov 21 2020 tex - 2.23.0-3pclos2020
- rebuild against updates

* Thu Sep 10 2020 tex - 2.23.0-2pclos2020
- rebuild against updates

* Fri Jul 24 2020 tex - 2.23.0-1pclos2020
- new version

* Sat Jun 13 2020 tex - 2.21.1-3pclos2020
- rebuild against updates

* Sun Feb 09 2020 tex - 2.21.1-2pclos2020
- rebuild against updates

* Wed Dec 04 2019 tex - 2.21.1-1pclos2019
- new version

* Mon Jul 01 2019 tex - 2.20.0-1pclos2019
- new version

* Wed Apr 24 2019 tex - 2.19.1-1pclos2019
- new version

* Sun Apr 21 2019 tex - 2.19.0-1pclos2019
- new version

* Fri Apr 19 2019 tex - 2.18.0-3pclos2019
- rebuild against updates

* Tue Apr 02 2019 tex - 2.18.0-2pclos2019
- rebuild against updates

* Tue Feb 05 2019 tex - 2.18.0-qpclos2019
- new


